## libcrypto++ 5.6.4

=== CMakeLists.txt ===
# Please ensure your changes or patch meets minimum requirements.
#   The minimum requirements are below, and they are 2.8.5. Please
#   do not check in something for 2.8.12. To test your changes,
#   please set up a Ubuntu 12.04 LTS system. Then, manually install
#   Cmake 2.8.5 from http://cmake.org/Wiki/CMake_Released_Versions.

cmake_minimum_required(VERSION 2.8.5 FATAL_ERROR)

project(cryptopp)

set(cryptopp_VERSION_MAJOR 5)
set(cryptopp_VERSION_MINOR 6)
set(cryptopp_VERSION_PATCH 4)

include(GNUInstallDirs)
include(TestBigEndian)

#============================================================================
# Settable options
#============================================================================

option(BUILD_STATIC "Build static library" ON)
option(BUILD_SHARED "Build shared library" ON)
option(BUILD_TESTING "Build library tests" ON)
option(BUILD_DOCUMENTATION "Use Doxygen to create the HTML based API documentation" OFF)

option(DISABLE_ASM "Disable ASM" OFF)
option(DISABLE_SSSE3 "Disable SSSE3" OFF)
option(DISABLE_AESNI "Disable AES-NI" OFF)
set(CRYPTOPP_DATA_DIR "" CACHE PATH "Crypto++ test data directory")

#============================================================================
# Internal compiler options
#============================================================================

# Don't use RPATH's. The resulting binary could fail a security audit.
if (NOT CMAKE_VERSION VERSION_LESS 2.8.12)
  set(CMAKE_MACOSX_RPATH 0)
endif()

set(LIB_VER ${cryptopp_VERSION_MAJOR}${cryptopp_VERSION_MINOR}${cryptopp_VERSION_PATCH})

if(CMAKE_CXX_COMPILER_ID MATCHES "Intel")
	add_definitions(-wd68 -wd186 -wd279 -wd327 -wd161 -wd3180)
endif()

# Endianess
TEST_BIG_ENDIAN(IS_BIG_ENDIAN)
if(IS_BIG_ENDIAN)
	add_definitions(-DIS_BIG_ENDIAN)
endif()

if(DISABLE_ASM)
	add_definitions(-DCRYPTOPP_DISABLE_ASM)
endif()
if(DISABLE_SSSE3)
	add_definitions(-DCRYPTOPP_DISABLE_SSSE3)
endif()
if(DISABLE_AESNI)
	add_definitions(-DCRYPTOPP_DISABLE_AESNI)
endif()
if(NOT CRYPTOPP_DATA_DIR STREQUAL "")
	add_definitions(-DCRYPTOPP_DATA_DIR="${CRYPTOPP_DATA_DIR}")
endif()

if(WINDOWS_STORE OR WINDOWS_PHONE)
	if("${CMAKE_SYSTEM_VERSION}" MATCHES "10\\.0.*")
		SET( CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} /D\"_WIN32_WINNT=0x0A00\"" )
	endif()
	SET( CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} /FI\"winapifamily.h\"" )
endif()
#============================================================================
# Sources & headers
#============================================================================

# Library headers
file(GLOB cryptopp_HEADERS *.h)

# Test sources. You can use the GNUmakefile to generate the list: `make sources`.
file(GLOB cryptopp_SOURCES_TEST bench1.cpp bench2.cpp test.cpp validat1.cpp validat2.cpp validat3.cpp adhoc.cpp datatest.cpp regtest.cpp fipsalgt.cpp dlltest.cpp fipstest.cpp)

# Library sources. You can use the GNUmakefile to generate the list: `make sources`.
file(GLOB cryptopp_SOURCES *.cpp)
list(REMOVE_ITEM cryptopp_SOURCES
		${CMAKE_CURRENT_SOURCE_DIR}/cryptlib.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/cpu.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/pch.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/simple.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/winpipes.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/cryptlib_bds.cpp
		${cryptopp_SOURCES_TEST}
		)
set(cryptopp_SOURCES
		${CMAKE_CURRENT_SOURCE_DIR}/cryptlib.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/cpu.cpp
		${cryptopp_SOURCES}
		)

if(MINGW OR WIN32)
	list(APPEND cryptopp_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/winpipes.cpp)
endif()

if(MSVC AND NOT DISABLE_ASM)
	if(${CMAKE_GENERATOR} MATCHES ".*ARM")
		message(STATUS "Disabling ASM because ARM is specified as target platform.")
	else()
		if(CMAKE_SIZEOF_VOID_P EQUAL 8)
			list(APPEND cryptopp_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/x64dll.asm)
			list(APPEND cryptopp_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/x64masm.asm)
			set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/x64dll.asm PROPERTIES COMPILE_FLAGS "/D_M_X64")
			set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/x64masm.asm PROPERTIES COMPILE_FLAGS "/D_M_X64")
			set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/rdrand.asm PROPERTIES COMPILE_FLAGS "/D_M_X64")
		else()
			set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/x64dll.asm PROPERTIES COMPILE_FLAGS "/D_M_X86 /safeseh")
			set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/x64masm.asm PROPERTIES COMPILE_FLAGS "/D_M_X86 /safeseh")
			set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/rdrand.asm PROPERTIES COMPILE_FLAGS "/D_M_X86 /safeseh")
		endif()
		list(APPEND cryptopp_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/rdrand.asm)
		enable_language(ASM_MASM)
	endif()
endif()

#============================================================================
# Compile targets
#============================================================================

# Set global includes BEFORE adding any targets for legacy CMake versions
if(CMAKE_VERSION VERSION_LESS 2.8.12)
	include_directories("${CMAKE_CURRENT_SOURCE_DIR}")
endif()

if(NOT CMAKE_VERSION VERSION_LESS 2.8.8)
	add_library(cryptopp-object OBJECT ${cryptopp_SOURCES})
endif()

if (BUILD_STATIC)
	if(NOT CMAKE_VERSION VERSION_LESS 2.8.8)
		add_library(cryptopp-static STATIC $<TARGET_OBJECTS:cryptopp-object>)
	else()
		add_library(cryptopp-static STATIC ${cryptopp_SOURCES})
	endif()

	if (NOT CMAKE_VERSION VERSION_LESS 2.8.12)
		target_include_directories(cryptopp-static PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}> $<INSTALL_INTERFACE:include/cryptopp>)
	endif()
endif()

if (BUILD_SHARED)
	if(NOT CMAKE_VERSION VERSION_LESS 2.8.8)
		add_library(cryptopp-shared SHARED $<TARGET_OBJECTS:cryptopp-object>)
	else()
		add_library(cryptopp-shared SHARED ${cryptopp_SOURCES})
	endif()

	if (NOT CMAKE_VERSION VERSION_LESS 2.8.12)
		target_include_directories(cryptopp-shared PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}> $<INSTALL_INTERFACE:include/cryptopp>)
	endif()
endif()

# Set PIC
if(CMAKE_SIZEOF_VOID_P EQUAL 8)
	# Enables -fPIC on all 64-bit platforms
	if(NOT CMAKE_VERSION VERSION_LESS 2.8.9)	# POSITION_INDEPENDENT_CODE support
		set_target_properties(cryptopp-object PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
	elseif(NOT CMAKE_VERSION VERSION_LESS 2.8.8)	# Object library support
		get_target_property(flags_old cryptopp-object COMPILE_FLAGS)
		set_target_properties(cryptopp-object PROPERTIES COMPILE_FLAGS "${flags_old} -fPIC")
	else()
		if (BUILD_STATIC)
			get_target_property(flags_old_static cryptopp-static COMPILE_FLAGS)
			if(NOT flags_old_static)
				set(flags_old_static "")
			endif()
			set_target_properties(cryptopp-static PROPERTIES COMPILE_FLAGS "${flags_old_static} -fPIC")
		endif()
		if (BUILD_SHARED)
			get_target_property(flags_old_shared cryptopp-shared COMPILE_FLAGS)
			if(NOT flags_old_shared)
				set(flags_old_shared "")
			endif()
			set_target_properties(cryptopp-shared PROPERTIES COMPILE_FLAGS "${flags_old_shared} -fPIC")
		endif()
	endif()
endif()

# Set filenames for targets to be "cryptopp"
if(NOT MSVC)
	set(COMPAT_VERSION ${cryptopp_VERSION_MAJOR}.${cryptopp_VERSION_MINOR})

	if (BUILD_STATIC)
		set_target_properties(cryptopp-static
				PROPERTIES
				OUTPUT_NAME cryptopp)
	endif()
	if (BUILD_SHARED)
		set_target_properties(cryptopp-shared
				PROPERTIES
				SOVERSION ${COMPAT_VERSION}
				OUTPUT_NAME cryptopp)
	endif()
endif()

# Targets, compatible with Crypto++ GNUMakefile
if (BUILD_STATIC)
	add_custom_target(static)
	add_dependencies(static cryptopp-static)
endif()
if (BUILD_SHARED)
	add_custom_target(dynamic)
	add_dependencies(dynamic cryptopp-shared)
endif()

#============================================================================
# Third-party libraries
#============================================================================
if(WIN32)
	if (BUILD_STATIC)
		target_link_libraries(cryptopp-static ws2_32)
	endif()
	if (BUILD_SHARED)
		target_link_libraries(cryptopp-shared ws2_32)
	endif()
endif()

find_package(Threads)
if (BUILD_STATIC)
	target_link_libraries(cryptopp-static ${CMAKE_THREAD_LIBS_INIT})
endif()
if (BUILD_SHARED)
	target_link_libraries(cryptopp-shared ${CMAKE_THREAD_LIBS_INIT})
endif()

#============================================================================
# Tests
#============================================================================
enable_testing()
if(BUILD_TESTING)
	add_executable(cryptest ${cryptopp_SOURCES_TEST})
	target_link_libraries(cryptest cryptopp-static)

	# Setting "cryptest" binary name to "cryptest.exe"
	if(NOT WIN32)
		set_target_properties(cryptest PROPERTIES OUTPUT_NAME cryptest.exe)
	endif()
	if(NOT TARGET cryptest.exe)
		add_custom_target(cryptest.exe)
		add_dependencies(cryptest.exe cryptest)
	endif()

	file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/TestData DESTINATION ${PROJECT_BINARY_DIR})
	file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/TestVectors DESTINATION ${PROJECT_BINARY_DIR})

	add_test(NAME build_cryptest COMMAND "${CMAKE_COMMAND}" --build ${CMAKE_BINARY_DIR} --target cryptest)
	add_test(NAME cryptest COMMAND $<TARGET_FILE:cryptest> v)
	set_tests_properties(cryptest PROPERTIES DEPENDS build_cryptest)
endif()

#============================================================================
# Doxygen documentation
#============================================================================
if(BUILD_DOCUMENTATION)
	find_package(Doxygen REQUIRED)

	set(in_source_DOCS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/html-docs")
	set(out_source_DOCS_DIR "${PROJECT_BINARY_DIR}/html-docs")

	add_custom_target(docs ALL
			COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile -d CRYPTOPP_DOXYGEN_PROCESSING
			WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
			SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile
			)

	if(NOT ${in_source_DOCS_DIR} STREQUAL ${out_source_DOCS_DIR})
		add_custom_command(
				TARGET docs POST_BUILD
				COMMAND ${CMAKE_COMMAND} -E copy_directory "${in_source_DOCS_DIR}" "${out_source_DOCS_DIR}"
				COMMAND ${CMAKE_COMMAND} -E remove_directory "${in_source_DOCS_DIR}"
		)
	endif()
endif()

#============================================================================
# Install
#============================================================================
set(export_name "cryptopp-targets")

# Runtime package
if (BUILD_SHARED)
	install(
			TARGETS cryptopp-shared
			EXPORT ${export_name}
			DESTINATION ${CMAKE_INSTALL_LIBDIR}
			RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
			LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
			ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	)
endif()

# Development package
if (BUILD_STATIC)
	install(TARGETS cryptopp-static EXPORT ${export_name} DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()
install(FILES ${cryptopp_HEADERS} DESTINATION include/cryptopp)

# CMake Package
if(NOT CMAKE_VERSION VERSION_LESS 2.8.8)	# CMakePackageConfigHelpers is supported from 2.8.8
	include(CMakePackageConfigHelpers)
	write_basic_package_version_file("${PROJECT_BINARY_DIR}/cryptopp-config-version.cmake" VERSION ${cryptopp_VERSION_MAJOR}.${cryptopp_VERSION_MINOR}.${cryptopp_VERSION_PATCH} COMPATIBILITY SameMajorVersion)
	install(FILES cryptopp-config.cmake ${PROJECT_BINARY_DIR}/cryptopp-config-version.cmake DESTINATION "lib/cmake/cryptopp")
	install(EXPORT ${export_name} DESTINATION "lib/cmake/cryptopp")
endif()

# Tests
if(BUILD_TESTING)
	install(TARGETS cryptest DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/TestData DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/cryptopp)
	install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/TestVectors DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/cryptopp)
endif()


# Documentation
if(BUILD_DOCUMENTATION)
	install(DIRECTORY "${out_source_DOCS_DIR}" DESTINATION ${CMAKE_INSTALL_DOCDIR})
endif()

## libcrypto++ 5.6.0

=== debian/changelog ===
libcrypto++ (5.6.0-6) unstable; urgency=low

  * Fix sha256 assembly problem with signed address comparison, thanks to
    Ken Raeburn.
    (Closes: #585930)
  * Converted to dpkg-source format 3.0 (quilt).
  * Use mercurial-buildpackage for repository maintenance, so old
    repository does not exist any more.
  * Bumped Standards-Version to 3.8.4, no change.
  * Use misc:Depends debhelper macro for all packages.
  * Introduced a realclean target in debian/rules for cleaning up an
    interrupted build.
  * Build-depend on a proper quilt-handling version of dpkg-source instead
    of quilt itself.

 -- Jens Peter Secher <jps@debian.org>  Wed, 16 Jun 2010 23:50:50 +0200

libcrypto++ (5.6.0-5) unstable; urgency=low

  * Fix build failure on Hurd by using POSIX threads, thanks to Samuel
    Thibault.
    (Closes: #550786)

 -- Jens Peter Secher <jps@debian.org>  Fri, 16 Oct 2009 20:06:13 +0200

libcrypto++ (5.6.0-4) unstable; urgency=low

  * Inlcude missing testvector for AES, thanks to Nelson A. de Oliveira.
    (Closes: #549150)
  * Do not include .la file per request from Kartik Mistry.
  
 -- Jens Peter Secher <jps@debian.org>  Thu, 01 Oct 2009 22:08:44 +0200

libcrypto++ (5.6.0-3) unstable; urgency=low

  * Depend on generic automake package (at the time of writing version 11).
    (Closes: #543028)
  * Update the various package descriptions.
    (Closes: #531814)
  * Upgrate to debhelper version 7, using dh_prep instead of dh_clean -k.
  * Updated Standards-Version to 3.8.3, but retaining GNU style variables
    because they are passed to automake scripts.  Also correct
    "hppa-linux" to "hppa-linux-gnu".

 -- Jens Peter Secher <jps@debian.org>  Sat, 22 Aug 2009 19:55:04 +0200

libcrypto++ (5.6.0-2) unstable; urgency=low

  * Added a package with debug symbols.
  * Drop the DCRYPTOPP_DISABLE_ASM flag to avoid segfault in amule on
    i386.
    (Closes: #525071)

 -- Jens Peter Secher <jps@debian.org>  Tue, 28 Apr 2009 23:23:21 +0200

libcrypto++ (5.6.0-1) unstable; urgency=low

  * New upstream version.
    + Includes incompatible changes, so bumping the shared library number to 8
      (libtool version info 8:0:0).
    + The test data is now in its own directory, so this TestData directory
      is handled in debian/rules the same way that TestVectors is.
  * Link with pthread to avoid warning from dpkg-shlibdeps.
  * Avoid running the test suite twice by giving it its own target: check.

 -- Jens Peter Secher <jps@debian.org>  Tue, 07 Apr 2009 02:52:06 +0200

libcrypto++ (5.5.2-3) unstable; urgency=low

  * Use quilt instead of dpatch for patches, and describe how to use
    quilt in Debian.source (thanks to Russ Allbery).
  * Added a Vcs-Hg control filed to indicate the location of the public
    repository.
  * Bumped Standards-Version to 3.8.1.

 -- Jens Peter Secher <jps@debian.org>  Tue, 07 Apr 2009 00:51:49 +0200

libcrypto++ (5.5.2-2) unstable; urgency=low

  * Produce a pkg-config file for the development package.
    (Closes: #473090)
  * Use doc-bas section Programming.

 -- Jens Peter Secher <jps@debian.org>  Sat, 29 Mar 2008 17:37:32 +0100

libcrypto++ (5.5.2-1) unstable; urgency=low

  * New upstream version.
  * Increased SONAME from 6 to 7 because of API changes.
  * Fixed GCC 4.3 header include problem.
    (Closes: #455627)
  * Created symlinks from libcryptopp* to libcrypto++*, as requested in
    bug #448766.
  * Bumped debhelper version to 5.
  * Bumped Standards-Version to 3.7.3.

 -- Jens Peter Secher <jps@debian.org>  Tue, 11 Dec 2007 19:06:15 +0100

libcrypto++ (5.5-5) unstable; urgency=low

  * Create a symlink to /usr/include/cryptopp -> crypto++ to aid
    portability of client code.
    (Closes: #448766)
  * Bumped automake to 1.10 instead of 1.9 .
  
 -- Jens Peter Secher <jps@debian.org>  Sun, 11 Nov 2007 21:51:53 +0100

libcrypto++ (5.5-4) unstable; urgency=low

  * Use POSIX threads on GNU/kFreeBSD, thanks to Petr Salinger.
    (Closes: #433672)

 -- Jens Peter Secher <jps@debian.org>  Sun, 19 Aug 2007 10:02:37 +0200

libcrypto++ (5.5-3) unstable; urgency=high

  * Do not compile with -msse2 to avoid crash on Pentium II, thanks
    to Adeodato Simó.  Hence the high urgency.
    (Closes: #428150)
  * Use ${binary:Version} instead of ${Source-Version} to facilitate
    binNMU.
  * Do not ignore 'make clean' errors.
  
 -- Jens Peter Secher <jps@debian.org>  Sat, 30 Jun 2007 16:39:14 +0200

libcrypto++ (5.5-2) unstable; urgency=low

  * Use CURDIR throughout debian/rules to avoid buildd failures.

 -- Jens Peter Secher <jps@debian.org>  Tue, 29 May 2007 20:29:08 +0200

libcrypto++ (5.5-1) unstable; urgency=low

  * New upstream release.
  * Bumped SO name to 6.0.0 because of new namespaces and removed algorithms.
  * Updated man page and build scripts.
  * Only use header files to generate documentation because Doxygen
    otherwise chokes.

 -- Jens Peter Secher <jps@debian.org>  Sat, 12 May 2007 12:50:30 +0200

libcrypto++ (5.4-1) experimental; urgency=low

  * New upstream release.  
  * Removed all patches that have now been included upstream.
  * Now that things are stable with both Crypto++ and GCC, the shared
    library has a proper SO name.

 -- Jens Peter Secher <jps@debian.org>  Fri, 15 Dec 2006 23:32:46 +0100

libcrypto++ (5.2.1c2a-3) unstable; urgency=low

  * Patch source so that it compiles with GCC 4.1 .  More specifically,
    avoid mixing implicit calls to base classes and free-standing
    functions.
    (Closes: #356170)
  * Use LDFLAGS=-pthread to fix linking errors.

 -- Jens Peter Secher <jps@debian.org>  Thu, 16 Mar 2006 23:08:48 +0100

libcrypto++ (5.2.1c2a-2) unstable; urgency=low

  * Build-depend on a version of g++ that fixes PR c++/21123 which
    resulted in internal compiler errors on m68k, arm, and hppa
    (Closes: #343003)
  * Include an override to stop Lintian complaining about the name of the
    shared library.
  * Removed link in main headline of Doxygen generated documentaion since


=== debian/control ===
Source: libcrypto++
Section: libs
Priority: optional
Maintainer: Jens Peter Secher <jps@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), dpkg (>= 1.15.5.6), automake, autoconf, libtool
Build-Depends-Indep: doxygen
Vcs-Hg: http://hg.debian.org/hg/collab-maint/libcrypto++
Homepage: http://www.cryptopp.com

Package: libcrypto++8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: General purpose cryptographic library - shared library
 General purpose cryptographic library for C++.
 .
 This package contains the shared libraries and should only be
 installed if other packages depend on it.

Package: libcrypto++8-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libcrypto++8 (= ${binary:Version}), ${misc:Depends}
Description: General purpose cryptographic library - debug symbols
 General purpose cryptographic library for C++.
 .
 This package contains the debug symbols for the shared library and
 should only be installed if you debugging a program that uses the
 shared library.

Package: libcrypto++-dev
Architecture: any
Section: libdevel
Depends: libcrypto++8 (= ${binary:Version}), ${misc:Depends}
Description: General purpose cryptographic library - C++ development
 Crypto++ is library for creating C++ programs which use cryptographic
 algorithms.  The library uses a Pipes & Filters architecture with heavy
 use of templates and abstract base classes.  The cryptographic
 tools include:
  * Authenticated encryption schemes (GCM, CCM, EAX),
  * High speed stream ciphers (Panama, Sosemanuk, Salsa20, XSalsa20),
  * AES and candidates (Rijndael, RC6, MARS, Twofish, Serpent, CAST-256),
  * Other symmetric block ciphers (IDEA, Triple-DES, Camellia, SEED,
    RC5, Blowfish, TEA, XTEA, Skipjack, SHACAL-2),
  * Block cipher modes of operation (ECB, CBC, CTS, CFB, OFB, CTR),
  * Message authentication codes (VMAC, HMAC, CMAC, CBC-MAC, DMAC,
    Two-Track-MAC),
  * Hash functions (SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, Tiger,
    WHIRLPOOL, RIPEMD-128, RIPEMD-256, RIPEMD-160, RIPEMD-320),
  * Public-key cryptography (RSA, DSA, ElGamal, NR, RW, LUC, LUCELG,
    DLIES, ESIGN),
  * Padding schemes for public-key systems (PKCS#1, OAEP, PSS, PSSR,
    EMSA2, EMSA5),
  * Key agreement schemes (DH, MQV, LUCDIF, XTR-DH),
  * Elliptic curve cryptography (ECDSA, ECNR, ECIES, ECDH, ECMQV),
  * Backwards compatibility algorithms (MD2, MD4, MD5, Panama Hash, DES,
    ARC4, SEAL 3.0, WAKE, WAKE-OFB, DESX, RC2, SAFER, 3-WAY, GOST,
    SHARK, CAST-128, Square),
  * Pseudo-random number generators,
 and a whole lot more.  Alternative libraries are libgcrypt and
 nettle.
 .
 This package contains the header files needed for developing using
 the Crypto++ class library.  It also includes the static library with
 libtool supoport, a utility for benchmarking and using the various
 Crypto++ routines, and finally it includes the test vectors for
 validating both the Crypto++ implementation and other implementations
 of these routines.

Package: libcrypto++-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcrypto++-dev (= 5.2.1c2-1)
Description: General purpose cryptographic library - utilities and data files
 Crypto++ is library for creating C++ programs which use cryptographic
 algorithms.  The library uses a Pipes & Filters architecture with heavy
 use of templates and abstract base classes.  The cryptographic
 tools include:
  * Authenticated encryption schemes (GCM, CCM, EAX),
  * High speed stream ciphers (Panama, Sosemanuk, Salsa20, XSalsa20),
  * AES and candidates (Rijndael, RC6, MARS, Twofish, Serpent, CAST-256),
  * Other symmetric block ciphers (IDEA, Triple-DES, Camellia, SEED,
    RC5, Blowfish, TEA, XTEA, Skipjack, SHACAL-2),
  * Block cipher modes of operation (ECB, CBC, CTS, CFB, OFB, CTR),
  * Message authentication codes (VMAC, HMAC, CMAC, CBC-MAC, DMAC,
    Two-Track-MAC),
  * Hash functions (SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, Tiger,
    WHIRLPOOL, RIPEMD-128, RIPEMD-256, RIPEMD-160, RIPEMD-320),
  * Public-key cryptography (RSA, DSA, ElGamal, NR, RW, LUC, LUCELG,
    DLIES, ESIGN),
  * Padding schemes for public-key systems (PKCS#1, OAEP, PSS, PSSR,
    EMSA2, EMSA5),
  * Key agreement schemes (DH, MQV, LUCDIF, XTR-DH),
  * Elliptic curve cryptography (ECDSA, ECNR, ECIES, ECDH, ECMQV),
  * Backwards compatibility algorithms (MD2, MD4, MD5, Panama Hash, DES,
    ARC4, SEAL 3.0, WAKE, WAKE-OFB, DESX, RC2, SAFER, 3-WAY, GOST,
    SHARK, CAST-128, Square),
  * Pseudo-random number generators,
 and a whole lot more.  Alternative libraries are libgcrypt and
 nettle.
 .
 This package includes a utility for benchmarking and using the
 various Crypto++ routines from the command line.  It also includes
 the test vectors for validating both the Crypto++ implementation and
 other implementations of these routines.

Package: libcrypto++-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcrypto++-dev (<= 5.2.1c2-3)
Enhances: libcrypto++-dev
Description: General purpose cryptographic library - documentation
 Crypto++ is library for creating C++ programs which use cryptographic
 algorithms.  The library uses a Pipes & Filters architecture with heavy
 use of templates and abstract base classes.  The cryptographic
 tools include:
  * Authenticated encryption schemes (GCM, CCM, EAX),
  * High speed stream ciphers (Panama, Sosemanuk, Salsa20, XSalsa20),
  * AES and candidates (Rijndael, RC6, MARS, Twofish, Serpent, CAST-256),
  * Other symmetric block ciphers (IDEA, Triple-DES, Camellia, SEED,
    RC5, Blowfish, TEA, XTEA, Skipjack, SHACAL-2),
  * Block cipher modes of operation (ECB, CBC, CTS, CFB, OFB, CTR),
  * Message authentication codes (VMAC, HMAC, CMAC, CBC-MAC, DMAC,
    Two-Track-MAC),
  * Hash functions (SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, Tiger,
    WHIRLPOOL, RIPEMD-128, RIPEMD-256, RIPEMD-160, RIPEMD-320),
  * Public-key cryptography (RSA, DSA, ElGamal, NR, RW, LUC, LUCELG,
    DLIES, ESIGN),
  * Padding schemes for public-key systems (PKCS#1, OAEP, PSS, PSSR,
    EMSA2, EMSA5),
  * Key agreement schemes (DH, MQV, LUCDIF, XTR-DH),
  * Elliptic curve cryptography (ECDSA, ECNR, ECIES, ECDH, ECMQV),
  * Backwards compatibility algorithms (MD2, MD4, MD5, Panama Hash, DES,
    ARC4, SEAL 3.0, WAKE, WAKE-OFB, DESX, RC2, SAFER, 3-WAY, GOST,
    SHARK, CAST-128, Square),
  * Pseudo-random number generators,
 and a whole lot more.  Alternative libraries are libgcrypt and
 nettle.
 .
 This package includes the HTML reference guide to the source code.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libcrypto++.
# Written by Jens Peter Secher <jps@debian.org>.

# The shared library must be the first listed in debian/control.
package := $(firstword $(shell dh_listpackages))

binarypackages := $(filter-out %-doc,$(shell dh_listpackages))

# Setup ./configure arguments to fit Debian environment.
export DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
config_flags := \
	--config-cache \
	--prefix=/usr \
	--sysconfdir=/etc \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info \
	--libexecdir=/usr/lib \
	--build $(DEB_BUILD_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	config_flags += --host $(DEB_HOST_GNU_TYPE)
endif

# General compile options.
cflags := -g -fno-strict-aliasing -pipe
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	cflags += -DNDEBUG -O2
else
	cflags += -O0
endif
# Architecture-specific compile options.
ifeq (hppa-linux-gnu,$(DEB_BUILD_GNU_TYPE))
	cflags += -ffunction-sections
endif

export LDFLAGS=-pthread -lpthread

autotools_input := configure.ac Makefile.am config.h.in libcrypto++.pc.in

autoclean:
	-rm -f a.out aclocal.m4 config.log config.sub config.guess	\
	configure cryptopp_config.h.in depcomp install-sh ltmain.sh	\
	Makefile.in missing libcrypto++.pc $(autotools_input)

clean: autoclean
	dh_testdir
	dh_testroot
	-rm -f $(CURDIR)/*-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -rf $(CURDIR)/doc
	dh_clean

# Put everything of interest in debian/tmp.
destdir=$(CURDIR)/debian/tmp

# Manuallly clean an interrupted build.
realclean:
	dh_testdir
	dh_testroot
	-rm -rf $(CURDIR)/doc $(CURDIR)/.deps $(CURDIR)/.libs $(CURDIR)/*.cache
	-rm -f $(CURDIR)/*-stamp $(CURDIR)/Makefile* $(CURDIR)/stamp-* $(CURDIR)/libtool
	-rm -f $(CURDIR)/*.in $(CURDIR)/config.sub $(CURDIR)/config.guess $(CURDIR)/config.status
	-rm -f $(CURDIR)/configure.ac $(CURDIR)/cryptopp_config.h
	-rm -f $(CURDIR)/*.lo $(CURDIR)/*.o cryptest* *.la

# Autoreconf needs the automake input to be Makefile.am, so we make
# sure the upstream GNUmakefile do not shadow the resulting Makefile.
config: config-stamp
config-stamp:
	dh_testdir
	ln -sf /usr/share/misc/config.sub /usr/share/misc/config.guess .
	-rm -f config.cache GNUmakefile
	cp -f $(patsubst %,debian/%,$(autotools_input)) .
	autoreconf --force --install
	$(SHELL) ./configure $(config_flags) CFLAGS="$(cflags)" CXXFLAGS="$(cflags)"
	touch $@

# Build binaries.
build: config build-stamp
build-stamp:
	$(MAKE)
	touch $@

# Run the test suite.
check:
	$(CURDIR)/cryptestcwd v

# Let Doxygen generate the documentation.
html: config html-stamp
html-stamp:
	$(MAKE) html
	touch $@

install-stamp: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(destdir)
	rm -f $(destdir)/usr/bin/cryptestcwd
	mkdir -p $(destdir)/usr/share/crypto--
	cp -r $(CURDIR)/TestVectors $(destdir)/usr/share/crypto--
	cp -r $(CURDIR)/TestData $(destdir)/usr/share/crypto--
	mkdir $(destdir)/usr/lib/pkgconfig
	cp -r $(CURDIR)/*.pc $(destdir)/usr/lib/pkgconfig
	touch $@

binary-indep: html
	dh_testdir
	dh_testroot
	dh_installdocs -plibcrypto++-doc -X.hhc -X.hhp -X.hhk
	dh_installchangelogs -plibcrypto++-doc 
	dh_compress -plibcrypto++-doc 
	dh_fixperms -plibcrypto++-doc 
	dh_installdeb -plibcrypto++-doc 
	dh_gencontrol -plibcrypto++-doc 
	dh_md5sums -plibcrypto++-doc 
	dh_builddeb -plibcrypto++-doc 

binaryargs := $(patsubst %,-p%,$(binarypackages))

binary-arch: check install-stamp
	dh_testdir
	dh_testroot
	dh_installdocs $(binaryargs)
	dh_install --list-missing --sourcedir=$(destdir) $(binaryargs)
	dh_link $(binaryargs)
	dh_installchangelogs $(binaryargs)
	dh_installman -plibcrypto++-utils debian/cryptest.1
	dh_installexamples -plibcrypto++-dev test.cpp
	dh_strip --dbg-package=libcrypto++8-dbg $(binaryargs)
	dh_compress $(binaryargs)
	dh_fixperms $(binaryargs)
	dh_makeshlibs $(binaryargs)
	dh_installdeb $(binaryargs)
	dh_shlibdeps -L$(package) -ldebian/$(package)/usr/lib
	dh_gencontrol $(binaryargs)
	dh_md5sums $(binaryargs)
	dh_builddeb $(binaryargs)

binary: binary-indep binary-arch

.PHONY: autoclean binary binary-indep binary-arch bootstrap build	\
	check clean config html realclean

## libcrypto++ 5.6.1

=== debian/changelog ===
libcrypto++ (5.6.1-6) unstable; urgency=low

  * Fix build failure with gcc-4.7 (closes: #668700) by adding missing 'this'
    references. Thanks to Matthias Klose <doko@debian.org> .
  * Update packaging bits.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 14 Apr 2012 20:21:41 +0200

libcrypto++ (5.6.1-5) unstable; urgency=low

  * New maintainer (closes: #628935).
  * salsa.patch from upstream to fix testcase FTBFS (closes: #628298).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 04 Jun 2011 20:15:34 +0200

libcrypto++ (5.6.1-4) unstable; urgency=low

  * Fix Pananma so that it works on armel, thanks to Wei Dai.
    (Closes: #619856)

 -- Jens Peter Secher <jps@debian.org>  Mon, 25 Apr 2011 21:13:50 +0200

libcrypto++ (5.6.1-3) unstable; urgency=low

  * Make debug packages conflict with each other because they all include
    usr/bin/cryptest.
    (Closes: #619527)
  * Removed obsolete README.source now that the package is in dpkg format
    3.0 (quilt).

 -- Jens Peter Secher <jps@debian.org>  Sun, 27 Mar 2011 23:56:51 +0200

libcrypto++ (5.6.1-2) unstable; urgency=low

  * Build for Wheezy, no change.
    (Closes: #599639)

 -- Jens Peter Secher <jps@debian.org>  Tue, 22 Mar 2011 04:51:04 +0100

libcrypto++ (5.6.1-1) experimental; urgency=low

  * New release, which changes the API of the library, so bumping the SO
    version to 9.
  * Patch for sha256 assembly is now included upstream.
  * Bumped Standards-Version to 3.9.1, no change.

 -- Jens Peter Secher <jps@debian.org>  Tue, 10 Aug 2010 21:26:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: libcrypto++
 Section: libs
 Priority: optional
-Maintainer: Jens Peter Secher <jps@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7), dpkg (>= 1.15.5.6), automake, autoconf, libtool
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8), dpkg (>= 1.15.5.6), automake, autoconf, libtool
 Build-Depends-Indep: doxygen
-Vcs-Hg: http://hg.debian.org/hg/collab-maint/libcrypto++
 Homepage: http://www.cryptopp.com
 
-Package: libcrypto++8
+Package: libcrypto++9
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -18,11 +17,12 @@
  This package contains the shared libraries and should only be
  installed if other packages depend on it.
 
-Package: libcrypto++8-dbg
+Package: libcrypto++9-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libcrypto++8 (= ${binary:Version}), ${misc:Depends}
+Depends: libcrypto++9 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libcrypto++8-dbg
 Description: General purpose cryptographic library - debug symbols
  General purpose cryptographic library for C++.
  .
@@ -33,7 +33,7 @@
 Package: libcrypto++-dev
 Architecture: any
 Section: libdevel
-Depends: libcrypto++8 (= ${binary:Version}), ${misc:Depends}
+Depends: libcrypto++9 (= ${binary:Version}), ${misc:Depends}
 Description: General purpose cryptographic library - C++ development
  Crypto++ is library for creating C++ programs which use cryptographic
  algorithms.  The library uses a Pipes & Filters architecture with heavy
@@ -63,11 +63,8 @@
  nettle.
  .
  This package contains the header files needed for developing using
- the Crypto++ class library.  It also includes the static library with
- libtool supoport, a utility for benchmarking and using the various
- Crypto++ routines, and finally it includes the test vectors for
- validating both the Crypto++ implementation and other implementations
- of these routines.
+ the Crypto++ class library and the static library with libtool
+ supoport.
 
 Package: libcrypto++-utils
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 # debian/rules for libcrypto++.
 # Written by Jens Peter Secher <jps@debian.org>.
+
+site := cryptopp.svn.sourceforge.net
+get-orig-source:
+	wget http://$(site)/viewvc/cryptopp/tags/CRYPTOPP_5_6_1/?view=tar \
+	-O libcrypto++_5.6.1.orig.tar.gz
 
 # The shared library must be the first listed in debian/control.
 package := $(firstword $(shell dh_listpackages))
@@ -42,28 +47,23 @@
 autoclean:
 	-rm -f a.out aclocal.m4 config.log config.sub config.guess	\
 	configure cryptopp_config.h.in depcomp install-sh ltmain.sh	\
-	Makefile.in missing libcrypto++.pc $(autotools_input)
+	Makefile.in missing libcrypto++.pc $(autotools_input)		\
+	m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4	\
+	m4/lt~obsolete.m4	
 
 clean: autoclean
 	dh_testdir
 	dh_testroot
 	-rm -f $(CURDIR)/*-stamp
-	[ ! -f Makefile ] || $(MAKE) distclean
-	-rm -rf $(CURDIR)/doc
+	-rm -rf $(CURDIR)/doc $(CURDIR)/.deps $(CURDIR)/.libs $(CURDIR)/*.cache
+	-rm -f $(CURDIR)/Makefile* $(CURDIR)/stamp-* $(CURDIR)/libtool
+	-rm -f $(CURDIR)/*.in $(CURDIR)/config.sub $(CURDIR)/config.guess $(CURDIR)/config.status
+	-rm -f $(CURDIR)/configure.ac $(CURDIR)/cryptopp_config.h
+	-rm -f $(CURDIR)/*.lo $(CURDIR)/*.o cryptest* *.la
 	dh_clean
 
 # Put everything of interest in debian/tmp.
 destdir=$(CURDIR)/debian/tmp
-
-# Manuallly clean an interrupted build.
-realclean:
-	dh_testdir
-	dh_testroot
-	-rm -rf $(CURDIR)/doc $(CURDIR)/.deps $(CURDIR)/.libs $(CURDIR)/*.cache
-	-rm -f $(CURDIR)/*-stamp $(CURDIR)/Makefile* $(CURDIR)/stamp-* $(CURDIR)/libtool
-	-rm -f $(CURDIR)/*.in $(CURDIR)/config.sub $(CURDIR)/config.guess $(CURDIR)/config.status
-	-rm -f $(CURDIR)/configure.ac $(CURDIR)/cryptopp_config.h
-	-rm -f $(CURDIR)/*.lo $(CURDIR)/*.o cryptest* *.la
 
 # Autoreconf needs the automake input to be Makefile.am, so we make
 # sure the upstream GNUmakefile do not shadow the resulting Makefile.
@@ -78,6 +78,9 @@
 	touch $@
 
 # Build binaries.
+build-arch: build
+build-indep: build
+
 build: config build-stamp
 build-stamp:
 	$(MAKE)
@@ -101,6 +104,7 @@
 	rm -f $(destdir)/usr/bin/cryptestcwd
 	mkdir -p $(destdir)/usr/share/crypto--
 	cp -r $(CURDIR)/TestVectors $(destdir)/usr/share/crypto--
+	chmod -x $(destdir)/usr/share/crypto--/TestVectors/*
 	cp -r $(CURDIR)/TestData $(destdir)/usr/share/crypto--
 	mkdir $(destdir)/usr/lib/pkgconfig
 	cp -r $(CURDIR)/*.pc $(destdir)/usr/lib/pkgconfig
@@ -129,7 +133,7 @@
 	dh_installchangelogs $(binaryargs)
 	dh_installman -plibcrypto++-utils debian/cryptest.1
 	dh_installexamples -plibcrypto++-dev test.cpp
-	dh_strip --dbg-package=libcrypto++8-dbg $(binaryargs)
+	dh_strip --dbg-package=$(package)-dbg $(binaryargs)
 	dh_compress $(binaryargs)
 	dh_fixperms $(binaryargs)
 	dh_makeshlibs $(binaryargs)
@@ -142,4 +146,4 @@
 binary: binary-indep binary-arch
 
 .PHONY: autoclean binary binary-indep binary-arch bootstrap build	\
-	check clean config html realclean
+	check clean config html get-orig-source

## libcrypto++ 5.6.1-5maemo1

=== debian/changelog ===
libcrypto++ (5.6.1-5maemo1) precise; urgency=low

  * For fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 31 Oct 2012 22:58:23 +0200

libcrypto++ (5.6.1-5build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:40:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libcrypto++
 Section: libs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 8), dpkg (>= 1.15.5.6), automake, autoconf, libtool
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
+Standards-Version: 3.9.2
+Build-Depends: debhelper, dpkg, automake, autoconf, libtool
 Build-Depends-Indep: doxygen
 Homepage: http://www.cryptopp.com
 
 Package: libcrypto++9
-Architecture: any
+Architecture: armel
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: General purpose cryptographic library - shared library
@@ -18,7 +18,7 @@
  installed if other packages depend on it.
 
 Package: libcrypto++9-dbg
-Architecture: any
+Architecture: armel
 Section: debug
 Priority: extra
 Depends: libcrypto++9 (= ${binary:Version}), ${misc:Depends}
@@ -31,7 +31,7 @@
  shared library.
 
 Package: libcrypto++-dev
-Architecture: any
+Architecture: armel
 Section: libdevel
 Depends: libcrypto++9 (= ${binary:Version}), ${misc:Depends}
 Description: General purpose cryptographic library - C++ development
@@ -67,7 +67,7 @@
  supoport.
 
 Package: libcrypto++-utils
-Architecture: any
+Architecture: armel
 Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libcrypto++-dev (= 5.2.1c2-1)
@@ -105,7 +105,7 @@
  other implementations of these routines.
 
 Package: libcrypto++-doc
-Architecture: all
+Architecture: armel
 Section: doc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libcrypto++-dev (<= 5.2.1c2-3)

=== debian/rules ===
--- 
+++ 
@@ -78,9 +78,6 @@
 	touch $@
 
 # Build binaries.
-build-arch: build
-build-indep: build
-
 build: config build-stamp
 build-stamp:
 	$(MAKE)
@@ -99,7 +96,6 @@
 install-stamp: build
 	dh_testdir
 	dh_testroot
-	dh_prep
 	$(MAKE) install DESTDIR=$(destdir)
 	rm -f $(destdir)/usr/bin/cryptestcwd
 	mkdir -p $(destdir)/usr/share/crypto--

## libcrypto++ 5.6.3

=== debian/changelog ===
libcrypto++ (5.6.3-8) unstable; urgency=high

  * Fix CVE-2016-7420 with compiling -DNDEBUG to prevent sensitive information
    leakage to core dumps when an assert() happens.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 16 Sep 2016 15:42:32 +0000

libcrypto++ (5.6.3-7) unstable; urgency=low

  * Prevent binary testing when only architecture independent packages are
    built (closes: #821176).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 15 Jul 2016 20:11:19 +0000

libcrypto++ (5.6.3-6) unstable; urgency=high

  * Backport last bit of CVE-2016-3995 fix, the Rijndael timing attack
    counter measure.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Apr 2016 16:40:13 +0000

libcrypto++ (5.6.3-5) unstable; urgency=medium

  * Fix the Rijndael timing attack counter measure.
  * Fix FTBFS on M68k machines.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Apr 2016 09:14:31 +0000

libcrypto++ (5.6.3-4) unstable; urgency=low

  * Start the transition with upload to Sid.
  * Builds on x32 (closes: #813659).
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Apr 2016 11:33:16 +0000

libcrypto++ (5.6.3-3) experimental; urgency=low

  * Backport upstream fixes:
    - fixed hang on ARM platforms in Integer::DivideThreeWordsByTwo,
    - work around issue on ARMEL in MultiplyTop and GCC,
    - increase range for GCC workaround on ARMEL,
    - fixed SecBlock append.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 Jan 2016 09:15:35 +0100

libcrypto++ (5.6.3-2) experimental; urgency=low

  * Only fix -doc package HTML path if it's built.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Nov 2015 13:27:54 +0100

libcrypto++ (5.6.3-1) experimental; urgency=low

  * New major upstream release (closes: #739157).
  * Keep rebuildable.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Nov 2015 09:25:03 +0100

libcrypto++ (5.6.3~rc6-1) experimental; urgency=low

  * New major upstream release candidate version.
  * Add CRYPTOPP_NO_UNALIGNED_DATA_ACCESS preprocessor flag to CXXFLAGS .
  * Add rdrand.cpp to library sources to compile.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 29 Oct 2015 19:44:06 +0100

libcrypto++ (5.6.3~rc4-1) experimental; urgency=low

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 21 Sep 2015 20:10:14 +0200

libcrypto++ (5.6.3~rc3-1) experimental; urgency=low

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 16 Sep 2015 19:47:57 +0200

libcrypto++ (5.6.3~rc2-2) experimental; urgency=low

  * Make co-installable with older versions.
  * Run doxygen only in the indep target.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 14 Sep 2015 20:06:20 +0200

libcrypto++ (5.6.3~rc2-1) experimental; urgency=low

  * New major upstream release release candidate version.
  * ABI transition from libcrypto++9v5 to libcrypto++6 .
  * Rewrite packaging and copyright.
  * Build with CRYPTOPP_INIT_PRIORITY=250 .
  * Symlink jquery.js to the packaged one.
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Sep 2015 15:55:30 +0200

libcrypto++ (5.6.1-9) unstable; urgency=low

  * Compile integer.cpp with -O1 on armel to prevent FTBFS (closes: #796297).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 12 Sep 2015 10:17:29 +0200

libcrypto++ (5.6.1-8) unstable; urgency=medium

  * Rename library to libcrypto++9v5 and the debug one to libcrypto++9-dbg
    for GCC 5 transition.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 12 Aug 2015 18:43:04 +0200

libcrypto++ (5.6.1-7) unstable; urgency=high

  * Fix CVE-2015-2141.
  * Update Standards-Version to 3.9.6 and debhelper level to 9 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Jun 2015 12:34:20 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DOC_PKG_DIR = $(CURDIR)/debian/libcrypto++-doc/

CXXFLAGS+=-DCRYPTOPP_INIT_PRIORITY=250 -DCRYPTOPP_NO_UNALIGNED_DATA_ACCESS \
	  -DNDEBUG

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/libcrypto++.pc.in $(CURDIR)/config.log
	rm -rf $(CURDIR)/html-docs/
	# these will be re-generated
	rm -f $(CURDIR)/debian/libcrypto++6.links \
		$(CURDIR)/debian/libcrypto++-dev.links

override_dh_auto_configure:
	rm -f $(CURDIR)/GNUmakefile
	cp -f $(CURDIR)/debian/autotools/configure.ac \
		$(CURDIR)/debian/autotools/libcrypto++.pc.in \
		$(CURDIR)/debian/autotools/Makefile.am \
		$(CURDIR)
	autoreconf --verbose --force --install
	dh_auto_configure

override_dh_auto_build-indep:
	doxygen

override_dh_auto_install:
	# use automake
	dh_auto_install
	# install test files
	mkdir -p $(CURDIR)/debian/tmp/usr/share/crypto--/
	cp -a $(CURDIR)/TestVectors $(CURDIR)/debian/tmp/usr/share/crypto--/
	chmod a-x $(CURDIR)/debian/tmp/usr/share/crypto--/TestVectors/*.txt
	cp -a $(CURDIR)/TestData $(CURDIR)/debian/tmp/usr/share/crypto--/
	# install pkg-config file
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/
	cp -a $(CURDIR)/*.pc \
		$(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/
	# generate links files
	sed s/ARCH/${DEB_HOST_MULTIARCH}/g \
		$(CURDIR)/debian/libcrypto++6.links.in \
		>$(CURDIR)/debian/libcrypto++6.links
	sed s/ARCH/${DEB_HOST_MULTIARCH}/g \
		$(CURDIR)/debian/libcrypto++-dev.links.in \
		>$(CURDIR)/debian/libcrypto++-dev.links

override_dh_strip:
	dh_strip --dbg-package=libcrypto++6-dbg

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
     	# Code to run the package test suite.
	$(CURDIR)/cryptestcwd v
endif

override_dh_auto_test:
override_dh_auto_test-indep:

override_dh_installdocs:
	dh_installdocs
	if [ -d "$(DOC_PKG_DIR)/usr/share/doc/libcrypto++-doc/html-docs" ]; then \
		mv $(DOC_PKG_DIR)/usr/share/doc/libcrypto++-doc/html-docs \
		$(DOC_PKG_DIR)/usr/share/doc/libcrypto++-doc/html; \
	fi

%:
	dh $@ --parallel

.PHONY: override_dh_auto_clean override_dh_auto_configure \
	override_dh_auto_build-indep override_dh_auto_install \
	override_dh_strip override_dh_installdocs override_dh_auto_test \
	override_dh_auto_test-arch override_dh_auto_test-indep
